[CentOS] problem CentOS 5 yum upgrade

Johnny Hughes johnny at centos.org
Mon Oct 15 15:43:57 UTC 2007


Craig White wrote:
> I'm going to remove horde at this point but I am having an issue running
> yum upgrade...
> 
> --> Running transaction check
> --> Processing Dependency: php-pecl(memcache) for package: horde
> --> Finished Dependency Resolution
> Error: Missing Dependency: php-pecl(memcache) is needed by package horde
> 

Craig,

php-pecl(memcache) should be provided by
php-pecl-memcache-2.1.2-1.el5.centos that is in the extras repository.

It seems that you are trying to update that file (php-pecl-memcache)
with one that does not provide "php-pecl(memcache)".

Specifically, looking at the one in RPMForge repo, it (for some reason)
does not provide "php-pecl(memcache)" ... so it would seem to me that
you are trying to upgrade your php-pecl-memcache with one from RPMForge
... if so, try using yum-priorities and giving the [extras] section in
/etc/yum.repos.d/CentOS-Base.repo a priority that is higher (a lower
priority number) than RPMForge.

http://wiki.centos.org/PackageManagement/Yum/Priorities

Thanks,
Johnny Hughes

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 252 bytes
Desc: OpenPGP digital signature
Url : http://lists.centos.org/pipermail/centos/attachments/20071015/0a0b288e/signature.bin


More information about the CentOS mailing list